# Get Local Group Members

> Returns a paged list of members belonging to a specific local group, based on the organization, group ID, and optional paging parameters.

Returns a paged list of members belonging to a specific local group, based on the organization, group ID, and optional paging parameters.

## API Endpoint

`GET` `{accessURL}/{organizationName}/identity_/api/Group/{partitionGlobalId}/{groupId}/Members`

Replace `{accessURL}` in all endpoint paths with the base URL for your cloud platform:

| Cloud platform | Access URL |
| --- | --- |
| Test Cloud | `https://cloud.uipath.com/` |
| Test Cloud Public Sector | `https://govcloud.uipath.us/` |
| Test Cloud Dedicated | `https://{customURL}.dedicated.uipath.com/` |

## Scopes

Requires the following scopes:

* PM.Group
* PM.Group.Read

## Request Headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described [here](https://docs.uipath.com/test-cloud/automation-cloud/latest/api-guide/authentication-methods#authentication-methods).
:::

## Path Parameters

| Path param | Data type | Description |
| --- | --- | --- |
| `partitionGlobalId`  (required) | String | The ID of the organization containing the desired group. |
| `groupId`  (required) | String | The ID of the group whose members you want to retrieve. |

## Query Parameters

| Query param | Data type | Description |
| --- | --- | --- |
| `top` | Integer | The number of records to return. Default is `10`. Range is `0` to `1000`. |
| `skip` | Integer | The number of records to skip. Default is `0`. |

## Responses

### 200 OK

A paged list of group members is returned, along with the total count.

### 404 Not Found

The specified group was not found in the given organization.

## Example Request

Let's say you gathered all the information needed to build the API call.

* Your `{baseURL}` is: `https://cloud.uipath.com/{organizationName}/identity_`
* Your `{access_token}` is: `1234` (for length considerations).
* The `{partitionGlobalId}` is: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
* The `{groupId}` is: `2512`

The call should resemble the following example (cURL):

```
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Group/3fa85f64-5717-4562-b3fc-2c963f66afa6/2512/Members?top=10&skip=0' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
```

Here's the response body for a successful call:

```json
{
    "totalCount": 2,
    "results": [
        {
            "id": "1787ef38-5933-4f2c-a67a-9c22cdb8e6a2",
            "type": 0
        },
        {
            "id": "a4c2e8b1-7d3f-4a91-b5e2-6f8d9c0e1a3b",
            "type": 0
        }
    ]
}
```
